<?xml version="1.0" encoding="utf-8"?>
<xs:schema xmlns:rathbonesgroupplc="http://rathbonesgroupplc.com/xbrl/2022" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" targetNamespace="http://rathbonesgroupplc.com/xbrl/2022" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:num="http://www.xbrl.org/dtr/type/numeric" xmlns:nonnum="http://www.xbrl.org/dtr/type/non-numeric">
  <xs:import schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd" namespace="http://www.xbrl.org/2003/instance" />
  <xs:import schemaLocation="http://www.esma.europa.eu/taxonomy/2021-03-24/esef_cor.xsd" namespace="http://www.esma.europa.eu/taxonomy/2021-03-24/esef_cor" />
  <xs:import schemaLocation="http://www.xbrl.org/lrr/arcrole/esma-arcrole-2018-11-21.xsd" namespace="http://www.esma.europa.eu/xbrl/esef/arcrole/wider-narrower" />
  <xs:import schemaLocation="http://www.xbrl.org/dtr/type/numeric-2009-12-16.xsd" namespace="http://www.xbrl.org/dtr/type/numeric" />
  <xs:import schemaLocation="http://www.xbrl.org/2005/xbrldt-2005.xsd" namespace="http://xbrl.org/2005/xbrldt" />
  <xs:import schemaLocation="http://www.xbrl.org/dtr/type/nonNumeric-2009-12-16.xsd" namespace="http://www.xbrl.org/dtr/type/non-numeric" />
  <xs:annotation>
    <xs:appinfo>
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="rathbonesgroupplc-2022-12-31_pre.xml" xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="rathbonesgroupplc-2022-12-31_def.xml" xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="rathbonesgroupplc-2022-12-31_lab-en.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="rathbonesgroupplc-2022-12-31_cal.xml" xlink:role="http://www.xbrl.org/2003/role/calculationLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="http://www.esma.europa.eu/taxonomy/2021-03-24/esef_cor-lab-en.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="http://www.esma.europa.eu/taxonomy/2021-03-24/esef_cor-gen-en.xml" xlink:type="simple" />
      <link:roleType id="Anchoring" roleURI="http://rathbonesgroupplc.com/xbrl/2022/roles/Anchoring">
        <link:definition>99 - Groups all anchored elements</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementOfComprehensiveIncome" roleURI="http://rathbonesgroupplc.com/xbrl/2022/roles/StatementOfComprehensiveIncome">
        <link:definition>01 - Statement of comprehensive income</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementOfChangesInEquity" roleURI="http://rathbonesgroupplc.com/xbrl/2022/roles/StatementOfChangesInEquity">
        <link:definition>02 - Statement of changes in equity</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementOfFinancialPosition" roleURI="http://rathbonesgroupplc.com/xbrl/2022/roles/StatementOfFinancialPosition">
        <link:definition>03 - Statement of financial position</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="NotesAndMandatoryItems" roleURI="http://rathbonesgroupplc.com/xbrl/2022/roles/NotesAndMandatoryItems">
        <link:definition>04 - Notes and Mandatory Items</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementOfCashFlows" roleURI="http://rathbonesgroupplc.com/xbrl/2022/roles/StatementOfCashFlows">
        <link:definition>05 - Statement of cash flows</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
    </xs:appinfo>
  </xs:annotation>
  <xs:element id="rathbonesgroupplc_AdjustmentsForDefinedBenefitPensionContributionsPaid" xbrli:balance="debit" xbrli:periodType="duration" name="AdjustmentsForDefinedBenefitPensionContributionsPaid" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="rathbonesgroupplc_AdjustmentsForNetDecreaseIncreaseInLoansAndAdvancesToBanksAndCustomers" xbrli:balance="debit" xbrli:periodType="duration" name="AdjustmentsForNetDecreaseIncreaseInLoansAndAdvancesToBanksAndCustomers" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="rathbonesgroupplc_AdjustmentsForNetDecreaseInSettlementBalanceDebtors" xbrli:balance="debit" xbrli:periodType="duration" name="AdjustmentsForNetDecreaseInSettlementBalanceDebtors" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="rathbonesgroupplc_AdjustmentsForNetDecreaseIncreaseInPrepaymentsAccruedIncomeAndOtherAssets" xbrli:balance="debit" xbrli:periodType="duration" name="AdjustmentsForNetDecreaseIncreaseInPrepaymentsAccruedIncomeAndOtherAssets" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="rathbonesgroupplc_PaymentOfDeferredConsiderationClassifiedAsInvestingActivities" xbrli:balance="credit" xbrli:periodType="duration" name="PaymentOfDeferredConsiderationClassifiedAsInvestingActivities" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="rathbonesgroupplc_AdjustmentsForNetIncreaseDecreaseInSettlementBalanceCreditors" xbrli:balance="debit" xbrli:periodType="duration" name="AdjustmentsForNetIncreaseDecreaseInSettlementBalanceCreditors" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="rathbonesgroupplc_AdjustmentsForNetDecreaseIncreaseInAccrualsProvisionsAndOtherLiabilities" xbrli:balance="debit" xbrli:periodType="duration" name="AdjustmentsForNetDecreaseIncreaseInAccrualsProvisionsAndOtherLiabilities" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="rathbonesgroupplc_AdjustmentsForDefinedBenefitPensionSchemeCreditsCharges" xbrli:balance="debit" xbrli:periodType="duration" name="AdjustmentsForDefinedBenefitPensionSchemeCreditsCharges" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="rathbonesgroupplc_RepaymentOfDebtClassifiedAsFinancingActivities" xbrli:balance="credit" xbrli:periodType="duration" name="RepaymentOfDebtClassifiedAsFinancingActivities" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="rathbonesgroupplc_AdjustmentsForNetIncreaseDecreaseInAmountsDueToCustomersAndDepositsByBanks" xbrli:balance="debit" xbrli:periodType="duration" name="AdjustmentsForNetIncreaseDecreaseInAmountsDueToCustomersAndDepositsByBanks" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="rathbonesgroupplc_AccrualsAndOtherLiabilities" xbrli:balance="credit" xbrli:periodType="instant" name="AccrualsAndOtherLiabilities" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="rathbonesgroupplc_InvestmentSecuritiesFairValueThroughProfitOrLoss" xbrli:balance="debit" xbrli:periodType="instant" name="InvestmentSecuritiesFairValueThroughProfitOrLoss" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="rathbonesgroupplc_PrepaymentsAccruedIncomeAndOtherAssets" xbrli:balance="debit" xbrli:periodType="instant" name="PrepaymentsAccruedIncomeAndOtherAssets" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="rathbonesgroupplc_DescriptionOfAccountingPolicyForMergerReserve" xbrli:periodType="duration" name="DescriptionOfAccountingPolicyForMergerReserve" nillable="true" substitutionGroup="xbrli:item" type="nonnum:textBlockItemType" />
  <xs:element id="rathbonesgroupplc_SettlementBalanceDebtors" xbrli:balance="debit" xbrli:periodType="instant" name="SettlementBalanceDebtors" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="rathbonesgroupplc_CostOfTreasurySharesVesting" xbrli:balance="credit" xbrli:periodType="duration" name="CostOfTreasurySharesVesting" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="rathbonesgroupplc_CostOfVestedEmployeeRemunerationAndSharePlans" xbrli:balance="debit" xbrli:periodType="duration" name="CostOfVestedEmployeeRemunerationAndSharePlans" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="rathbonesgroupplc_CostOfShareBasedPaymentArrangements" xbrli:balance="credit" xbrli:periodType="duration" name="CostOfShareBasedPaymentArrangements" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="rathbonesgroupplc_DividendsPaidAndProposedForTheYear" xbrli:balance="debit" xbrli:periodType="duration" name="DividendsPaidAndProposedForTheYear" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="rathbonesgroupplc_DividendsPaidAndProposedForTheYearPerOrdinaryShare" xbrli:periodType="duration" name="DividendsPaidAndProposedForTheYearPerOrdinaryShare" nillable="true" substitutionGroup="xbrli:item" type="num:perShareItemType" />
  <xs:element id="rathbonesgroupplc_AcquisitionRelatedCosts" xbrli:balance="debit" xbrli:periodType="duration" name="AcquisitionRelatedCosts" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="rathbonesgroupplc_ChargesInRelationToClientRelationshipsAndGoodwill" xbrli:balance="debit" xbrli:periodType="duration" name="ChargesInRelationToClientRelationshipsAndGoodwill" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="rathbonesgroupplc_SettlementBalanceCreditors" xbrli:balance="credit" xbrli:periodType="instant" name="SettlementBalanceCreditors" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="rathbonesgroupplc_DisclosureOfDueToCustomers" xbrli:periodType="duration" name="DisclosureOfDueToCustomers" nillable="true" substitutionGroup="xbrli:item" type="nonnum:textBlockItemType" />
</xs:schema>